std::experimental::reflect::Constructor(3)

NAME
std::experimental::reflect::Constructor - std::experimental::reflect::Constructor

Synopsis
   Defined in header <experimental/reflect>
   template< class T >
   concept Constructor = Callable<T> && RecordMember<T> && /* see (reflection TS)
   below */;
   The Constructor concept is satisfied if and only if T reflects a constructor (Note:
   Some types that satisfy Constructor also satisfy SpecialMemberFunction).

Example
    This section is incomplete
    Reason: examples

See also
    This section is incomplete
    Reason: templatization

Category:
     * Todo with reason